Package Details: anki20-bin 2.0.52-1

Git Clone URL: https://aur.archlinux.org/anki20-bin.git (read-only)
Package Base: anki20-bin
Description: Helps you remember facts (like words/phrases in a foreign language) efficiently
Upstream URL: http://ankisrs.net/
Licenses: AGPL3
Conflicts: anki, anki20, gstreamer0.10
Provides: anki, anki20
Submitter: Runiq
Maintainer: Runiq (suawekk)
Last Packager: YamashitaRen
Votes: 39
Popularity: 0.052915
First Submitted: 2017-02-27 16:10
Last Updated: 2019-02-07 11:37

Pinned Comments

YamashitaRen commented on 2019-02-07 11:48

Please consider updating to Anki 2.1 :

Anki 2.0 was the previous stable release. No further updates are expected, as the toolkit it was built on has been discontinued. To minimize the risk of bugs and security issues, please consider upgrading to Anki 2.1.

I am hence dropping this package.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

bigoten commented on 2017-03-09 17:53

@birnenwerfer:
I uninstalled gstreamer0.10-bad and gstreamer0.10-bad-plugins.

birnenwerfer commented on 2017-03-09 16:07

I have the same problme like bigoton. can anyone help me?

@bigoton: Which package did you uninstall?


________This is the output:

[user@home ~]$ anki
Unable to load library icui18n "Cannot load library icui18n: (libicui18n.so.48: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden)"

(anki:2352): GStreamer-WARNING **: External plugin loader failed. This most likely means that the plugin loader helper binary was not found or could not be run.

(anki:2352): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstcurl.so': /usr/lib/libcurl.so.4: undefined symbol: SSL_CTX_set_alpn_protos

ERROR: Caught a segmentation fault while loading plugin file:
/usr/lib/gstreamer-0.10/libgstschro.so

Please either:
- remove it and restart.
- run with --gst-disable-segtrap --gst-disable-registry-fork and debug.

haawda commented on 2017-03-08 17:15

Without testing: anki20 has a few more deps than this package.

haawda commented on 2017-03-08 17:13

Missing dependency pygtk, I guess?

linus.cl commented on 2017-03-08 16:08

Anki crashes while adding new vocab with error ImportError: No module named pygtk

joeybeckman commented on 2017-03-07 13:48

@suawekk
It respects my GTK theme if I append "export GTK2_RC_FILES=$HOME/.gtkrc-2.0" to my ~/.profile, where .gtkrc-2.0 contains "gtk-theme-name=$theme"; This fix was given on this page:

https://anki.tenderapp.com/kb/problems/anki-not-picking-up-gtk-theme-on-gnomelinux

bigoten commented on 2017-03-06 22:45

Ever since I updated anki to anki20-bin it just stopped working normally. All is fine except that I cannot edit any card: The program crashes as soon as I select one of the card fields.

This is the output that I get from the console:


[user@home ~]$ anki
(anki:9649): GStreamer-WARNING **: External plugin loader failed. This most likely means that the plugin loader helper binary was not found or could not be run.

(anki:9649): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstcurl.so': /usr/lib/libcurl.so.4: undefined symbol: SSL_CTX_set_alpn_protos

ERROR: Caught a segmentation fault while loading plugin file:
/usr/lib/gstreamer-0.10/libgstschro.so

Please either:
- remove it and restart.
- run with --gst-disable-segtrap --gst-disable-registry-fork and debug.



Any suggestions?
PS: Sorry but I couldn't get the code tags to work.
EDIT: Problem solved, removed a superfluous gstreamer-associated package.

lsrdg commented on 2017-03-03 10:16

Wow, guys, well done! Thanks!

Despite the note on "libicui18n.so.48", it's working really well here. (:

shudouken commented on 2017-02-28 23:28

Thanks!

So far I notice no difference. Good work!

Runiq commented on 2017-02-28 14:40

No problem. I think being a co-maintainer means that you're able to push to the git repo behind the package. So if I ever drop the ball on maintaining the package, you guys can step in without having to go through the whole disown-reown-whatever process, that's all.

I've added suawekk as a co-maintainer too.

@suawekk
That's true, I'll see what I can do about that.